package projectzombie.items;

import projectzombie.init.Items;
import projectzombie.init.Models;
import projectzombie.model.ModelItem;
import projectzombie.util.ItemStack;

public class ItemCoal extends Item implements ItemBurnable
{

	@Override
	public ModelItem getModel(ItemStack stack) {
		return Models.ITEM_COAL;
	}

	@Override
	public String getName(ItemStack stack) {
		return "Coal";
	}

	@Override
	public int getBurnTime(ItemStack stack) {
		return 4800;
	}

	@Override
	public ItemStack[] getBurnProducts(ItemStack stack) {
		return new ItemStack[] {new ItemStack(Items.ASH, 1)};
	}

}
